package agilpizza;

import org.junit.Test;
import static org.junit.Assert.*;
import agilpizza.selenium.SeleniumTestCase;

public class EntradaDeEnderecoTest extends SeleniumTestCase {

	@Test
	public void testeCEPInvalido() throws Exception {
		sel.open(CONTEXTO);
		assertTrue(sel.isElementPresent("endereco"));
		sel.clickAndWait("endereco");
		sel.waitForPageToLoad("30000");
		sel.type("rua", "do Matão");
		sel.type("numero", "1010");
		sel.type("bairro", "USP");
		sel.type("cep", "123-51");
		sel.clickAndWait("//input[@value='enviar']");
		assertTrue(sel.isTextPresent("Esse endereço não foi encontrado!"));
	}

}
